IF EXISTS ( SELECT * FROM   sys.views WHERE  object_id = OBJECT_ID(N'[dbo].[V_RC_CLI_PDV]'))
    DROP VIEW [dbo].[V_RC_CLI_PDV];
GO
CREATE VIEW [dbo].[V_RC_CLI_PDV]
AS
    SELECT 
		 DBO.RC_CLI.CD_EMP,
		 DBO.RC_CLI.CD_FILIAL,
		 DBO.RC_CLI.CD_CLI,
		 DBO.RC_CLI.RZ_CLI,
		 DBO.RC_CLI.NM_FANT,
		 DBO.RC_CLI.CGC_CPF,
		 DBO.RC_CLI.PESSOA,
		 DBO.RC_CLI.INSC_EST,
		 DBO.RC_CLI.INSC_MUNI,
		 DBO.RC_CLI.CD_FUN,
		 DBO.RC_CLI.END_CLI,
		 DBO.RC_CLI.BAIRRO,
		 DBO.RC_CLI.CD_CID,
		 DBO.RC_CLI.CEP,
		 DBO.RC_CLI.TEL,
		 DBO.RC_CLI.FAX,
		 DBO.RC_CLI.CONTATO,
		 DBO.RC_CLI.CARGO,
		 DBO.RC_CLI.CD_CTB_CNT,
		 DBO.RC_CLI.EMAIL,
		 DBO.RC_CLI.DT_CAD,
		 DBO.RC_CLI.OBS,
		 DBO.RC_CLI.CONTATO_COB,
		 DBO.RC_CLI.EMAIL_COB,
		 DBO.RC_CLI.TEL_COB,
		 DBO.RC_CLI.FAX_COB,
		 DBO.RC_CLI.RAMAL_COB,
		 DBO.RC_CLI.END_COB,
		 DBO.RC_CLI.BAIRRO_COB,
		 DBO.RC_CLI.CD_CID_COB,
		 DBO.RC_CLI.CEP_COB,
		 DBO.RC_CLI.STS_CRED,
		 DBO.RC_CLI.STS_MSG,
		 DBO.RC_CLI.A_MSG,
		 DBO.RC_CLI.CD_TP_CLI,
		 DBO.RC_CLI.STS_CLI,
		 DBO.RC_CLI.CD_REGI,
		 DBO.RC_CLI.CD_USU,
		 DBO.RC_CLI.DT_ULT_ALT,
		 DBO.RC_CLI.CTR_CRED,
		 ISNULL(V_RC_CLI_CONVENIADOS.VLR_CRED, 0) AS              VLR_CRED,
		 (DBO.V_RC_CLI_CONVENIADOS.VLR_CRED) AS                   VLR_CRED_CONV,
		 (DBO.V_RC_CLI_CONVENIADOS.VLR_DEB) AS                    VLR_DEB_CONV,
		 DBO.RC_CLI.COMODATO,
		 DBO.RC_CLI.MICRO_EMP,
		 DBO.RC_CLI.CONS_FINAL,
		 DBO.RC_CLI.OBD_DIA_PGTO,
		 DBO.RC_CLI.DIA_PGTO,
		 DBO.RC_CLI.CD_COND_PGTO,
		 DBO.RC_CLI.TP_CAD,
		 DBO.RC_CLI.FIXAR_COND_PGTO,
		 ISNULL(V_RC_CLI_CONVENIADOS.VLR_DEB, 0) AS               VLR_DEB,
		 ISNULL(V_RC_CLI_CONVENIADOS.MATRICULA, '') AS            MATRICULA,
		 DBO.RC_CLI.ESP_CLI,
		 DBO.RC_CLI.SEXO_CLI,
		 DBO.RC_CLI.DT_NASC,
		 DBO.RC_CLI.PONTO_REF,
		 DBO.RC_CLI.CD_CLI_ID,
		 DBO.RC_CLI.ROT_CONV_EXT,
		 DBO.RC_CLI.TP_CONS_FINAL,
		 ISNULL(DBO.V_RC_CLI_CONVENIADOS.CD_CONV, 0) AS           CD_CONV,
		 ISNULL(DBO.RC_CLI.SENHA, NULL) AS                        SENHA,
		 ISNULL(DBO.V_RC_CLI_CONVENIADOS.CD_PLANO_VENDA, 0) AS    CD_PLANO_VENDA,
		 ISNULL(DBO.RC_CLI.QTDE_PONTOS, 0) AS                     QTDE_PONTOS,
		 ISNULL(DBO.V_RC_CLI_CONVENIADOS.PERC_REC_MIN_CONV, 0) AS PERC_REC_MIN_CONV,
		 ISNULL(DBO.V_RC_CLI_CONVENIADOS.PERC_REC_MAX_CONV, 0) AS PERC_REC_MAX_CONV,
		 ISNULL(DBO.RC_CLI.NUMERO, '0') AS                        NUMERO,
		 ISNULL(DBO.RC_CLI_FIDELI_CARTAO.NR_CARTAO, 0) AS         NR_CARTAO,
		 ISNULL(DBO.RC_CLI.FLAG_CLIENTE_CREDIARIO, 0) AS          FLAG_CLIENTE_CREDIARIO,
		 ISNULL(DBO.RC_CLI.FLAG_CLI_FIDEL, 0) AS                  FLAG_CLI_FIDEL,
		 ISNULL(DBO.RC_CLI.CD_REDE_PBM_SCOPE, 0) AS               CD_REDE_PBM_SCOPE,
		 ISNULL(DBO.RC_CLI.NM_MAE, '') AS                         NM_MAE,
		 ISNULL(DBO.RC_CLI.NM_PAI, '') AS                         NM_PAI,
		 ISNULL(DBO.RC_CLI.CD_PRECO_CLAS_CLIENTE, 0) AS           CD_PRECO_CLAS_CLIENTE,
		 ISNULL(EXIGE_SENHA_COMPRA, 0) AS                         EXIGE_SENHA_COMPRA,
		 ISNULL(RC_CLI.FLAG_ISENTO_IMPOSTO,0) AS FLAG_ISENTO_IMPOSTO,
		 ISNULL(RC_CLI.NR_CARTAO_ANTIGO,'') AS NR_CARTAO_ANTIGO,
		 ISNULL(DBO.RC_CLI.COMPLEMENTO_RESIDENCIAL,'') AS COMPLEMENTO_RESIDENCIAL,
		 ISNULL(DBO.RC_CLI.COMPLEMENTO,'') AS COMPLEMENTO,
		 GETDATE() DT_HR_CARGA,
         DBO.RC_CLI.flag_dependente_comp_limite_titular
    FROM   DBO.RC_CLI
		 LEFT OUTER JOIN DBO.V_RC_CLI_CONVENIADOS
		 ON DBO.RC_CLI.CD_EMP = DBO.V_RC_CLI_CONVENIADOS.CD_EMP
		    AND DBO.RC_CLI.CD_CLI = DBO.V_RC_CLI_CONVENIADOS.CD_CLI
		 LEFT OUTER JOIN DBO.RC_CLI_CREDIARIO
		 ON DBO.RC_CLI.CD_EMP = DBO.RC_CLI_CREDIARIO.CD_EMP
		    AND DBO.RC_CLI.CD_CLI = DBO.RC_CLI_CREDIARIO.CD_CLI
		 LEFT OUTER JOIN DBO.RC_CLI_FIDELI_CARTAO
		 ON DBO.RC_CLI.CD_EMP = DBO.RC_CLI_FIDELI_CARTAO.CD_EMP
		    AND DBO.RC_CLI.CD_CLI = DBO.RC_CLI_FIDELI_CARTAO.CD_CLI; 
